> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contacts

> List contacts. `has_user=true` keeps people who have an AGO account.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/crm/contacts
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/crm/contacts:
    get:
      tags:
        - CRM
      summary: List Contacts
      description: List contacts. `has_user=true` keeps people who have an AGO account.
      operationId: list_crm_contacts
      parameters:
        - in: query
          name: search
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          required: false
        - in: query
          name: organization_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Organization Id
          required: false
        - in: query
          name: owner_id
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Owner Id
          required: false
        - in: query
          name: has_user
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Has User
          required: false
        - in: query
          name: email_opt_out
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Email Opt Out
          required: false
        - in: query
          name: sort
          schema:
            default: name
            title: Sort
            type: string
          required: false
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.